Package com.castlabs.android.player.models

## Class SideloadedTrack.SubtitleBuilder

- java.lang.Object
- - com.castlabs.android.player.models.SideloadedTrack.Builder<SideloadedTrack.SubtitleBuilder>
  - - com.castlabs.android.player.models.SideloadedTrack.SubtitleBuilder

- Enclosing class:
    SideloadedTrack

      public static final class SideloadedTrack.SubtitleBuilder
      extends SideloadedTrack.Builder<SideloadedTrack.SubtitleBuilder>

  Convenience Builder to create a `SideloadedTrack` with the type set to `SideloadedTrack.Type.SUBTITLE`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SubtitleBuilder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SideloadedTrack.SubtitleBuilder` | `kind​(String kind)` | Set the kind
    `SideloadedTrack.SubtitleBuilder` | `label​(String label)` | Set the label
    `SideloadedTrack.SubtitleBuilder` | `language​(String language)` | Set the language

    - ### Methods inherited from class com.castlabs.android.player.models.SideloadedTrack.Builder

      `get, mimeType, url`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubtitleBuilder

          public SubtitleBuilder()

  - ### Method Detail

    - #### language

          public SideloadedTrack.SubtitleBuilder language​(String language)

      Set the language
      Parameters:
        `language` - value to set
      Returns:
        the Builder

    - #### label

          public SideloadedTrack.SubtitleBuilder label​(String label)

      Set the label
      Parameters:
        `label` - value to set
      Returns:
        the Builder

    - #### kind

          public SideloadedTrack.SubtitleBuilder kind​(String kind)

      Set the kind
      Parameters:
        `kind` - value to set
      Returns:
        the Builder